
Application: gvSIG desktop - gvSIG bugs #2685
El proveedor de shape no trata adecuadamente los poligons internos.
07/16/2014 08:53 PM - Joaquín  del Cerro Murciano

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Joaquín  del Cerro Murciano
Category:
Target version:
Severity: Major Add-on version:
gvSIG version: 2.1.0 Add-on build:
gvSIG build: 2234 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

Habria que introducir API en las Surfaces para definir poligonos internos (InternalRing) a una Surface y utilizar este API en el
proveedor de Shape. No se si hay API en las geometrias para consultar el sentido de los vertices de un poligono, pero si hay alguna
funcion de utilidad por ahi. Si no esta en el API habria que añadirlo, para que el Shape lo use para determinar si tiene que añadirlo
como un poligono interno o como otro poligono de un multipoligono.

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 2426: SHP provider does ... Closed 03/06/2014
Related to Application: gvSIG desktop - gvSIG bugs # 2723: Export to DXF skip... Closed 07/26/2014
Duplicated by Application: gvSIG desktop - gvSIG bugs # 2810: Island polygons... Invalid 09/12/2014

History
#1 - 07/16/2014 09:00 PM - Joaquín  del Cerro Murciano
- Description updated

#2 - 07/21/2014 11:12 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.1.0-2259-rc3 to 2.2.0-2311-rc2

#3 - 08/03/2014 08:45 PM - Joaquín  del Cerro Murciano
- Related to gvSIG bugs #2426: SHP provider does not create MultiPrimitives added

#4 - 09/14/2014 08:04 AM - Joaquín  del Cerro Murciano
- Duplicated by gvSIG bugs #2810: Island polygons are not drown correctly added

#5 - 12/10/2014 01:23 PM - Álvaro Anguix
- Related to gvSIG bugs #2723: Export to DXF skips polygons with interior rings (holes) added

#6 - 01/28/2015 12:05 PM - Álvaro Anguix
- Target version deleted (2.2.0-2311-rc2)

#7 - 02/15/2016 02:44 PM - Álvaro Anguix
- Status changed from New to Closed

Con los cambios en geometrías entiendo que esto está solucionado.
